/* Program pro jednoduche odzkouseni ovladani dvou motoru s radicem L9110S 
 * zadavani volby smeru chodu jednoho, dvou motoru a otacek je z tabletu,telefonu
 * s programem terminal pro ANDROID 
   vagnervlastimil@seznam.cz
*/
#include <SoftwareSerial.h>       //pripojeni knihovny pro moznost volby PINU pro komunikaci RXD,TXD s BLUETOOTH JDY-33
SoftwareSerial BT=SoftwareSerial(10,11); //nastaveni knihovny a nastaveni PINU 10-RXD, 11-TXD pro komunikaci 
const int motorB_A = 9;           //volba smeru chodu motoru B vlevo vstup L9110S motor B_A Arduino_(PIN 9)                     
const int motorB_B = 6;           //volba smeru chodu motoru B vpravo vstup L910S motor B_B Arduino_(PIN 6)       
const int motorA_A = 5;           //volba smeru chodu motoru A vlevo vstup L9110S motor A_A Arduino_(PIN 5)    
const int motorA_B = 3;           //volba smeru chodu motoru B vlevo vstup L9110S motor A_B Arduino_(PIN 3) 
int volbaA;                       //chod motoru B vlevo B_A PIN9
int volbaB;                       //chod motoru B vpravo B_B PIN6
int volbaC;                       //chod motoru A vlevo A_A PIN5
int volbaD;                       //chod motoru A vpravo A_B PIN3
int hodnota1;                     //volba smeru chodu motoru B vlevo  vtup L9110S motor B_A Arduino_(PIN 9)
int hodnota2;                     //volba smeru chodu motoru B vpravo vstup L9110S motor B_B Arduino_(PIN 6)
int hodnota3;                     //volba smeru chodu motoru A vlevo vstup L9110S motor B_A Arduino_(PIN 5)
int hodnota4;                     //volba smeru chodu motoru A vpravo vstup L9110S motor A_B Arduino_(PIN 3)

void setup() {                    //zadani parametru
pinMode(motorB_A,OUTPUT);         //nastaveni PINU 9 (L9110S motorB_A) na vystup motor B_A vlevo
pinMode(motorB_B,OUTPUT);         //nastaveni PINU 6 (L9110S motorB_B) na vystup motor B_B vpravo
pinMode(motorA_A,OUTPUT);         //nastaveni PINU 5 (L9110S motorA_A) na vystup motor A_A vlevo
pinMode(motorA_B,OUTPUT);         //nastaveni PINU 3 (L9110S motorA_B) na vystup motor A_B vpravo
BT.begin(9600);                   //funkce pro komunikaci serioveho portu 
}

void loop(){                      //hlavni program
if (BT.available() > 0){          //testovani vstupu zda prisli data 
volbaA=BT.parseInt();             //nactena hodnota smeru otacek se ulozi do promenne 
volbaB=BT.parseInt();             //nactena hodnota smeru otacek se ulozi do promenne 
volbaC=BT.parseInt();             //nactena hodnota smeru otacek se ulozi do promenne 
volbaD=BT.parseInt();             //nactena hodnota smeru otacek se ulozi do promenne 
hodnota1=BT.parseInt();           //nacteni hodnoty pro otacky motoru B_A vlevo  
hodnota2=BT.parseInt();           //nacteni hodnoty pro otacky motoru B_B vpravo 
hodnota3=BT.parseInt();           //nacteni hodnoty pro otacky motoru A_A vlevo 
hodnota4=BT.parseInt();           //nacteni hosnoty pro otacky motoru A_B vpravo 
BT.print(volbaA);                 //zobrazeni hodnoty smeru otacek motoru zobrazeni na monitoru PC !TOTO JE  MOZNO PO ODKOUSENI SMAZAT
BT.println(volbaB);               //zobrazeni hodnoty smeru otacek motoru zobrazeni na monitoru PC !TOTO JE  MOZNO PO ODKOUSENI SMAZAT
BT.print(volbaC);                 //zobrazeni hodnoty smeru otacek motoru zobrazeni na monitoru PC !TOTO JE  MOZNO PO ODKOUSENI SMAZAT
BT.println(volbaD);               //zobrazeni hodnoty smeru otacek motoru zobrazeni na monitoru PC !TOTO JE  MOZNO PO ODKOUSENI SMAZAT
BT.print(hodnota1);               //odeslani nactene hodnoty v promenne "hodnota1" zobrazeni na monitoru PC !TOTO JE TAKE MOZNO SMAZAT
BT.println(hodnota2);             //odeslani nactene hodnoty v promenne "hodnota2" zobrazeni na monitoru PC !TOTO JE TAKE MOZNO SMAZAT
BT.print(hodnota3);               //odeslani nactene hodnoty v promenne "hodnota3" zobrazeni na monitoru PC !TOTO JE TAKE MOZNO SMAZAT
BT.println(hodnota4);             //odeslani nactene hodnoty v promenne "hodnota4" zobrazeni na monitoru PC !TOTO JE TAKE MOZNO SMAZAT
 }
if (volbaA == 1){                 //volba smeru otaceni
analogWrite(motorB_A,hodnota1);}  //nastaveni vystupu PWM motoru B_A dle hodnoty "hodnota1"
else{analogWrite(motorB_A,0);}    //volba v pripade ze neni zadana hodnota1
if (volbaB == 1){                 //volba smeru otaceni
analogWrite(motorB_B,hodnota2);}  //nastaveni vystupu PWM motoru B_B dle hodnoty "hodnota2"
else{analogWrite(motorB_B,0);}    //volba v pripade ze neni zadana hodnota2
if (volbaC == 1){                 //volba smeru otaceni
analogWrite(motorA_A,hodnota3);}  //nastaveni vystupu PWM motoruA_A dle hodnoty "hodnota3"  
else{analogWrite(motorA_A,0);}    //volba v pripade ze neni zadana hodnota3
if (volbaD == 1){                 //volba smeru otaceni
analogWrite(motorA_B,hodnota4);}  //nastaveni vystupu PWM motoru A_B dle hodnoty "hodnota4"
else{analogWrite(motorA_B,0);}    //volba v pripade ze neni zadana hodnota4   
delay(500);                       //casova prodleva
} 


     
     
